org.springframework.cloud.dataflow.core

## Enum ApplicationType

- java.lang.Object
- - java.lang.Enum<ApplicationType>
  - - org.springframework.cloud.dataflow.core.ApplicationType

- All Implemented Interfaces:
    Serializable, Comparable<ApplicationType>

      public enum ApplicationType
      extends Enum<ApplicationType>

  Enumeration of application types.
  Author:
    Patrick Peralta, Eric Bottard, Mark Fisher

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `app` A long lived application that is not part of a stream
    `processor` An application type that appears in a stream, in middle position.
    `sink` An application type that appears in a stream, in last position.
    `source` An application type that appears in a stream, at first position.
    `task` An application type to execute a short-lived process.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### app

          public static final ApplicationType app

      A long lived application that is not part of a stream

    - #### source

          public static final ApplicationType source

      An application type that appears in a stream, at first position.

    - #### processor

          public static final ApplicationType processor

      An application type that appears in a stream, in middle position.

    - #### sink

          public static final ApplicationType sink

      An application type that appears in a stream, in last position.

    - #### task

          public static final ApplicationType task

      An application type to execute a short-lived process.

  - ### Method Detail

    - #### values

          public static ApplicationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationType c : ApplicationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.